Ask Your Question
1

Problems with repository pcl17

asked 2013-03-17 23:26:33 -0600

anto1389 gravatar image

Hello, I can't download the pcl17 package from this repository: http://svn.pointclouds.org/ros/branches/fuerte/perception_pcl_unstable/pcl17/ Has been the repository been changed? How can i download it?

Thank you very much. Antonio!

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
2

answered 2013-03-18 03:09:49 -0600

Philip gravatar image

updated 2013-03-18 08:58:26 -0600

PCL just moved to github a few days ago: https://github.com/PointCloudLibrary/pcl

See this post by Jochen Sprickerhof for more information (also on how to access the new git repository by svn). I don't know if this works with the perception_unstable branch for ROS integration though. Can you comment if you tried?

EDIT: Antonio took this matter to the PCL-users list. The correct path for checking out the perception_unstable branch (= PCL trunk for ROS) from github seems to be https://github.com/ros-perception/perception_pcl/tree/fuerte-unstable-devel.

edit flag offensive delete link more

Comments

It is not working! Building CXX object io/CMakeFiles/pcl_io.dir/src/image_grabber.cpp.o /pcl/io/src/image_grabber.cpp: In member function ‘bool pcl::ImageGrabberBase::ImageGrabberImpl::getCloudVTK(size_t, sensor_msgs::PointCloud2&, Eigen::Vector4f&, Eigen::Quaternionf&) const.

anto1389 gravatar imageanto1389 ( 2013-03-18 05:28:09 -0600 )edit

/pcl/io/src/image_grabber.cpp:634:34: error: no match for ‘operator=’ in ‘cloud_color.pcl::PointCloud<pcl::PointXYZRGBA>::header.std_msgs::Header_<std::allocator<void> >::stamp = timestamp’ How can i solve this?

anto1389 gravatar imageanto1389 ( 2013-03-18 05:28:36 -0600 )edit
2

answered 2013-03-19 00:14:32 -0600

updated 2013-03-19 00:14:57 -0600

I just updated the wiki: http://www.ros.org/wiki/pcl17

use: git clone https://github.com/ros-perception/perception_pcl.git -b fuerte-unstable-devel fuerte-unstable-devel

edit flag offensive delete link more

Comments

I am sorry but there are still error: ../../lib/libpcl_io.so.1.7.0: undefined reference to `ros::TimeBase<ros::Time, ros::Duration>::fromNSec(unsigned long long)' can you tell me how i can download the last version which didn't have errors? Thank you very much!

anto1389 gravatar imageanto1389 ( 2013-03-19 01:30:25 -0600 )edit

I think this is not a problem of the pcl ros wrapper. You should try a older PCL revision.

MichaelKorn gravatar imageMichaelKorn ( 2013-03-19 02:16:48 -0600 )edit

Sorry, for asking you a lot of question, but i don't know how i can do it. Could you tell me, please? Thank you very much!

anto1389 gravatar imageanto1389 ( 2013-03-19 02:39:39 -0600 )edit

I just try to change the revision, but the make script is broken, I will try to fix it.

MichaelKorn gravatar imageMichaelKorn ( 2013-03-19 03:12:29 -0600 )edit

Thank you very very much! Let me know if you can make it! :)

anto1389 gravatar imageanto1389 ( 2013-03-19 03:44:37 -0600 )edit
MichaelKorn gravatar imageMichaelKorn ( 2013-03-19 04:41:58 -0600 )edit

The last working pcl version is a655516c84a821363dc56ec29f0d6553dfc356fe

MichaelKorn gravatar imageMichaelKorn ( 2013-03-19 06:38:35 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2013-03-17 23:26:33 -0600

Seen: 664 times

Last updated: Mar 19 '13